RadialDimensionBuilder Class

class NXOpen.Annotations.RadialDimensionBuilder

Bases: NXOpen.Annotations.BaseRadialDimensionBuilder

Represents a NXOpen.Annotations.Dimension builder

To create a new instance of this class, use NXOpen.Annotations.DimensionCollection.CreateRadialDimensionBuilder()

New in version NX9.0.0.

Properties

Property Description
AppendedText Returns the appended text
DiameterDimensionDimLineAngle Returns or sets the diameter dimension’s dimension-line-angle
Driving Returns the driving
FirstAssociativity Returns the first associativity.
FoldLocation Returns the fold location
ForeshorteningSymbol Returns the foreshortening symbol builder
Inherit Returns the inherit
IsAutoplaced Returns or sets a flag to indicate if auto placement turned on.
IsFoldedRadius Returns or sets the is folded radius
IsHoleStyle Returns or sets the is hole style dimension
IsRadiusToCenter Returns or sets the is radius to center
Measurement Returns the measurement
OffsetCenterPoint Returns the offset center point
Origin Returns the origin
Style Returns the style
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetNthSecondaryArrowheadOrientation The arrowhead orientation for nth secondary dimensions
GetNthSecondaryOrigin The origins for secondary dimensions
GetObject Returns the object currently being edited by this builder.
GetSecondaryCallouts The secondary callouts
SetNthSecondaryArrowheadOrientation The arrowhead orientation for nth secondary dimensions
SetNthSecondaryOrigin The origins for secondary dimensions
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

Driving

RadialDimensionBuilder.Driving

Returns the driving

-------------------------------------

Getter Method

Signature Driving

Returns:
Return type:NXOpen.Annotations.DrivingValueBuilder

New in version NX9.0.0.

License requirements: None.

ForeshorteningSymbol

RadialDimensionBuilder.ForeshorteningSymbol

Returns the foreshortening symbol builder

-------------------------------------

Getter Method

Signature ForeshorteningSymbol

Returns:
Return type:NXOpen.Annotations.ForeshorteningSymbolBuilder

New in version NX10.0.0.

License requirements: None.

IsAutoplaced

RadialDimensionBuilder.IsAutoplaced

Returns or sets a flag to indicate if auto placement turned on.

This is used to compute origins for secondary dimensions

-------------------------------------

Getter Method

Signature IsAutoplaced

Returns:
Return type:bool

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature IsAutoplaced

Parameters:isAutoplaced (bool) –

New in version NX11.0.0.

License requirements: geometric_tol (“GDT”) OR drafting (“DRAFTING”)

Method Detail

GetNthSecondaryArrowheadOrientation

RadialDimensionBuilder.GetNthSecondaryArrowheadOrientation

The arrowhead orientation for nth secondary dimensions

Signature GetNthSecondaryArrowheadOrientation(nth)

Parameters:nth (int) –
Returns:
Return type:NXOpen.Annotations.TextPlacement

New in version NX11.0.0.

License requirements: None.

GetNthSecondaryOrigin

RadialDimensionBuilder.GetNthSecondaryOrigin

The origins for secondary dimensions

Signature GetNthSecondaryOrigin(nth)

Parameters:nth (int) –
Returns:
Return type:NXOpen.Point3d

New in version NX11.0.0.

License requirements: None.

GetSecondaryCallouts

RadialDimensionBuilder.GetSecondaryCallouts

The secondary callouts

Signature GetSecondaryCallouts()

Returns:
Return type:list of NXOpen.Annotations.Dimension

New in version NX11.0.0.

License requirements: None.

SetNthSecondaryArrowheadOrientation

RadialDimensionBuilder.SetNthSecondaryArrowheadOrientation

The arrowhead orientation for nth secondary dimensions

Signature SetNthSecondaryArrowheadOrientation(nth, secondaryArrowheadOrientation)

Parameters:

New in version NX11.0.0.

License requirements: geometric_tol (“GDT”) OR drafting (“DRAFTING”)

SetNthSecondaryOrigin

RadialDimensionBuilder.SetNthSecondaryOrigin

The origins for secondary dimensions

Signature SetNthSecondaryOrigin(nth, secondaryOrigin)

Parameters:

New in version NX11.0.0.

License requirements: geometric_tol (“GDT”) OR drafting (“DRAFTING”)

Validate

RadialDimensionBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.